package com.uas.platform.b2b.manage.model;

/**
 * 操作类型
 *
 * Created by hejq on 2018-04-26.
 */
public enum UseType {

    /**
     * 登录
     */
    LOGIN("登录"),

    /**
     * 退出
     */
    LOGOUT("退出"),

    /**
     * 注册
     */
    REGISTER("注册"),

    /**
     * 企业搜索
     */
    ENGERPRISE_SEARCH("企业搜索"),

    /**
     * 企业注册
     */
    ENGERPRISE_REGISTER("企业注册"),

    /**
     * 日志搜索
     */
    LOGS_SEARCH("日志搜索"),

    /**
     * 查询
     */
    QUERY("查询"),

    /**
     * 重定向
     */
    REDIRECT("重定向"),

    /**
     * 修改密码
     */
    RESETPASSWORD("修改密码"),

    /**
     * 设置轮询地址
     */
    SET_UAS_SCHEDULAR("设置轮询地址"),

    /**
     * 删除轮询地址
     */
    DEL_UAS_SCHEDULAR("删除轮询地址"),

    /**
     * 搜索轮询地址
     */
    UAS_SCHEDULAR_SEARCH("搜索轮询地址"),

    /**
     * 监控搜索
     */
    MONITORING_SEARCH("监控搜索"),

    /**
     * 搜索邀请记录
     */
    UAS_INVITE_SEARCH("搜索邀请记录"),

    /**
     * 导出邀请注册数据
     */
    EXPROT_INVITE_DATA("导出邀请注册数据"),

    /**
     * 编辑邀请注册信息
     */
    EDIT_INVITE("编辑邀请注册信息"),

    /**
     * 清除邀请记录
     */
    DELETE_INVITE("清除邀请记录"),

    /**
     * 查询发货提醒
     */
    SALE_NOTICE_SEARCH("查询发货提醒"),

    /**
     * 搜索查询代采订单
     */
    DEPUTY_ORDER_SEARCH("搜索查询代采订单"),

    /**
     * 更新代采订单状态为重新下载
     */
    DEPUTY_ORDER_REDOWNLOAD("更新代采订单状态为重新下载"),

    /**
     * 查询发货提醒详情
     */
    SALE_NOTICE_DETAIL("查询发货提醒详情"),

    /**
     * 空状态
     */
    NONE("");

    private final String code;
    private final String display;

    private UseType(String display) {
        this.code = this.toString();
        this.display = display;
    }

    /**
     * @return 状态的编码
     */
    public String code() {
        if (this == NONE) {
            return "";
        }
        return this.code;
    }

    public String display() {
        return this.display;
    }

}
